{% import "apostrophe-templates:macros/arrowSvg.html" as arrowSvg %}
{% import "apostrophe-templates:macros/caseHeaderImage.html" as headerImage %}

<!-- <script>console.log('ALL PROJECTS', {{ data.widget._projects | json }});</script> -->
<!-- <script>console.log('CHILDREN PAGES?', {{ data.page._children | json }});</script> -->

{% for project in data.widget._projects %}

    {% set casePage = {} %}
    
    {# if project.pageLinkId %}
        {% set pageLinkId = project.pageLinkId #}
    {% if project.pageLink %}
        {% set pageLinkId = project.pageLink.items[0].pageId %}
    {% else %}
        {% set pageLinkId = project._id %} 
    {% endif %}

    {% for child in data.page._children %}
        {% if child._id ==  pageLinkId %}
            {% set casePage = child %}
        {% endif %}
    {% endfor %}

    {% set textColor = project.textColor or project.color1 or '#000' %}
    {% set bgColor = project.backgroundColor or project.color2 or '#fff' %}
    {% set accentColor = project.color3 or '#fff' %}

    <!-- data-projects="{{ project.titleSortified }}"  -->
    <!-- data-tags="{{ project.projectType }}" -->

    <!-- <script>console.log('--------------', {{ project.title | json }}, '---------------');</script> -->
    <!-- <script>console.log('CASE PAGE', {{ casePage | json }});</script> -->
    <!-- <script>console.log('PROJECT', {{ project | json }});</script> -->
    <!-- <script>console.log('--------------------------------------------------------------');</script> -->

    <a class="case-study-page animated filterable appear" 

        href="{{ casePage._url }}"
        data-fixed="false"
        data-href="{{ casePage._url }}"

        data-industry="{{ project.projectType }}"
        data-id="{{ project._id }}"
        >
    {# data-href="{{ project._url}} "   #}
        {# style="{% if project.color2  %} background-color: {{ project.color2 }}; {% endif %}" #}
{# headerImage.render(project, casePage.defaultCasePageHeaderImage.items[0]) #}

        <div class="container header-section" id="section_{{project._id}}" style="{% if bgColor  %} background-color: {{ bgColor }}; {% endif %}">

            <div class="header-image-wrapper">
                <div class="header-image-container">

                    <!-- old headerImage.render(...) was here  -->
               
                    {% set positionX = null %}
                    {% set positionY = null %}
                    {% set customSize = null %}
                    {% set img = project.transitionImage or project.image %}

                    {% if project.customposition  %} 
                        {% set positionX = project.posx %}
                        {% set positionY = project.posy %}
                        {% set customSize = project.customsize %}
                    {% endif %}

                    <img class="header-image2 {% if customSize  %} custom-size size-{{ customSize }}{% endif %}" 
                         style="
                         {% if positionX %} right: calc(100vw - {{ positionX | int }}vw); left: inherit; {% endif %}
                         {% if positionY %} top: {{ positionY | int }}vw; bottom: inherit; {% endif %}
                         "
                         src="{{ apos.attachments.url( apos.images.first(img) ) }}"/>
               
                </div>
            </div>

            <div class="header-block page-preview">

            
                <div class="switcheroo">

                    <div class="project-company" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                        {{ project.company }}
                    </div>

                    <div class="project-tagline" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                        {{ apos.areas.richText(project.tagline)  }}
                        <!-- <div class="outro-cover" style="{% if bgColor  %} background-color: {{ bgColor }}; {% endif %}"></div> -->
                    </div>

                    <div class="project-services" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                        {{ apos.areas.richText(casePage.defaultCasePageServicesList)  }}
                    </div>
                </div>
                {# end of .switcheroo #}

                 <div class="case-page-preload">
                        <div class="header-title-wrapper">
                            <h1 class="header-title appear appear-ground trigger-early" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                                {# apos.areas.richText(casePage.defaultCasePageTitle) #}
                                {{ project.title }}
                            </h1>
                        </div>
                    
                        <div class="lower-header">

                            <h2 class="header-subtitle appear appear-bottom trigger-early" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                                {{ apos.areas.richText(casePage.defaultCasePageSubtitle)  }}
                            </h2>

                            <div class="header-services">
                                <div class="services-title appear appear-bottom trigger-early" style="{% if accentColor  %} color: {{ accentColor }}; {% endif %}">
                                    {{ apos.areas.richText(casePage.defaultCasePageServicesTitle)  }}
                                    <div class="intro-cover" style="{% if bgColor  %} background-color: {{ bgColor }}; {% endif %}"></div>
                                </div>
                                <div class="services-list appear appear-bottom trigger-early" style="{% if textColor  %} color: {{ textColor }}; {% endif %}">
                                    {{ apos.areas.richText(casePage.defaultCasePageServicesList)  }}
                                </div>
                            </div>

                        </div> 
                </div> 
                {# end of case-page-preload #}
               


            </div>
            {# end of .header-block #}

            <!-- .dynamic for ajax -->
            <div class="animated-arrow-link">
                <div class="inside">
                    <div class="bg" style="background-color: {% if project.arrowBackground %}{{ project.arrowBackground }} {% else %} #da2c30 {% endif %};"></div>
                    <div class="arrow">{{ arrowSvg.render(project) }}</div>
                </div>
            </div>
        </div>

    </a>

{% endfor %}